cURL
curl --request GET \
--url https://api.readyhealth.com/document/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.readyhealth.com/document/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.readyhealth.com/document/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalUser": {
"externalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"validationResult": "<string>",
"scanStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"fields": {},
"validations": {},
"tasks": {
"id": "<string>",
"actionType": "<string>",
"status": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"result": {}
},
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originalName": "<string>",
"mimeType": "<string>",
"url": "<string>"
},
"context": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"requirement": "<string>"
}
}Scans
Get a Document Scan
GET
/
document
/
{id}
cURL
Authorizations
Path Parameters
Response
200 - application/json
Candidate information
Show child attributes
Show child attributes
One of VALID or INVALID
One of PENDING, IN_PROGRESS, FAILED or SUCCESS.
See the document field schema for the attributes to expect once the latest scan is complete.
See the document validations schema for the objects to expect once the latest validation is complete.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I